﻿using System;
using System.Collections.Generic;
using System.Text;
using Editor.Collections;

namespace Editor.Project
{
    public interface IProjectItem : ISimpleList<IProjectItem>, IChangeHandler, ISaveable
    {
        bool Composite { get; }
        string ItemName { get; set; }
        IProjectItem ParentItem { get; }

        IProjectItem CreateSubItem( Arguments argumets );
    }
}
