﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace Editor
{
    public sealed class ProjectTreeView : TreeView
    {
        private ImageList projectIL;
        private System.ComponentModel.IContainer components;

        public ProjectTreeView()
        {
            InitializeComponent();

            this.ImageList = projectIL;
        }

        protected override void Dispose( bool disposing )
        {
            if( disposing && ( components != null ) )
            {
                components.Dispose();
            }
            base.Dispose( disposing );
        }

        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ProjectTreeView));
            this.projectIL = new System.Windows.Forms.ImageList(this.components);
            this.SuspendLayout();
            // 
            // projectIL
            // 
            this.projectIL.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("projectIL.ImageStream")));
            this.projectIL.TransparentColor = System.Drawing.Color.Transparent;
            this.projectIL.Images.SetKeyName(0, "model_project.png");
            this.projectIL.Images.SetKeyName(1, "usecase_project.png");
            this.projectIL.Images.SetKeyName(2, "actor_project.png");
            // 
            // ProjectTreeView
            // 
            this.LineColor = System.Drawing.Color.Black;
            this.ResumeLayout(false);

        }
    }
}
