﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Editor.Text.UseCase;
using Editor.Document;
using UseCaseTool.Controls;

namespace UseCaseTool.Forms
{
    public partial class DeleteActorForm : Form
    {
        private ActorGlyph actorGlyph ;

        public ActorGlyph ActorGlyph 
        {
            get { return actorGlyph ; }
        }

        public DeleteActorForm()
        {
            actorGlyph = null;

            InitializeComponent();
        }

        public DeleteActorForm( IDocumentRow documentRow )
        {
            InitializeComponent();

            actorGlyphsLB.DocumentRow = documentRow;
        }

        private void confirmBN_Click(object sender, EventArgs e)
        {
            if( actorGlyphsLB.SelectedIndex < 0 ) return;

            actorGlyph = (actorGlyphsLB.SelectedItem as ListBoxTextGlyph).Glyph as ActorGlyph;

            DialogResult = DialogResult.OK;
        }
    }
}
