﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Editor.Document.UseCase
{
    public sealed class EmptyLine : TemplateRow
    {
        public override bool Editable
        {
            get { return false; }
        }

        public override bool Formattable
        {
            get { return false; }
        }

        public bool LevelChanging
        {
            get { return false; }
        }

        public override bool Removable
        {
            get { return false; }
        }

        public EmptyLine(): base()
        {
        }

        public override TemplateRow CreateNewRow()
        {
            return null;
        }
    }
}
