﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Editor
{
    public interface IChangeHandler
    {
        bool Changing { get; }

        event EventHandler ObjectChanged;
        event EventHandler ObjectChanging;
  
        void BeginChange();
        void EndChange( bool discardEvent );
        Delegate[] GetReferences();
    }
}
