﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Editor.Project;

namespace UseCaseTool.Forms
{
    public partial class ModelForm : Form
    {
        private UseCaseModel model;

        public UseCaseModel Model
        {
            get { return model; }
        }

        public ModelForm( UseCaseModel model )
        {
            this.model = model;

            InitializeComponent();

            nameTB.Text = model.ItemName;
        }

        private void confirmBN_Click(object sender, EventArgs e)
        {
            if( nameTB.Text.Trim() == string.Empty )
            {
                MessageBox.Show( "Name cannot be empty", "Warning", MessageBoxButtons.OK, 
                    MessageBoxIcon.Warning );
                return;
            }

            model.ItemName = nameTB.Text.Trim();

            DialogResult = DialogResult.OK;
        }
    }
}
